W_kPetButtonWidth = 14;
W_kPetButtonHeight = 8;
W_kPetHealthBarWidth = 18;
W_kPetHealthBarHeight = 2;
W_kPetCurseWidth = 18;
W_kPetCurseHeight = 2;
W_kPetCurseSidesWidth = 2;
W_kPetCurseSidesHeight = 6

function W_Create_Pet_Buttons()
	--W_ShowMessage("Creating Whammy Pet Buttons");
	local buttonNum, unitButtonName, petButtonName, b, t;
	
	for buttonNum = 1,40 do
		petButtonName = "W_Pet_Button"..buttonNum;
		unitButtonName = "W_Unit_Button"..buttonNum;
		local b = CreateFrame("Button", petButtonName, WhammyFrame, "WhammyPetButtonTemplate");
		b:SetWidth( W_kPetButtonWidth );
		b:SetHeight( W_kPetButtonHeight);
		b:SetID( buttonNum+100 );
		buttonWidth = b:GetWidth()
		getglobal( petButtonName.."_HealthBar" ):SetWidth( buttonWidth );
		getglobal( petButtonName.."_HealthBar" ):SetHeight( W_kPetHealthBarHeight );
		
		getglobal( petButtonName.."_Curse" ):SetWidth( buttonWidth );
		getglobal( petButtonName.."_Curse" ):SetHeight( W_kPetCurseHeight );
		
		getglobal( petButtonName.."_CurseLeft" ):SetWidth( W_kPetCurseSidesWidth );
		getglobal( petButtonName.."_CurseLeft" ):SetHeight( W_kPetCurseSidesHeight );
		
		getglobal( petButtonName.."_CurseRight" ):SetWidth( W_kPetCurseSidesWidth );
		getglobal( petButtonName.."_CurseRight" ):SetHeight( W_kPetCurseSidesHeight );
		
		W_Set_Unit_Button_Texture( petButtonName, W_kPetHealthOK )
		b:Hide(); --start off hidden
	end
end

function W_PetButton_OnLoad()
	this:RegisterForClicks("LeftButtonUp", "RightButtonUp", "MiddleButtonUp"); -- the buttons need to see the mouse clicks
	
	--set the positioning for the Magic, Curse, Disease and Poison indicators for the Pet
	local y = -4;
	local x = -20;
	local thisButton = this:GetName();
	b = getglobal( thisButton.."_Curse_TextM")
	--b:SetPoint( "TOPLEFT", thisButton, x, y)
	b:SetTextColor( 1, 0, 0 );
	
	b = getglobal( thisButton.."_Curse_TextC")
	--b:SetPoint( "TOPLEFT", thisButton, x+11, y)
	b:SetTextColor( 1, 0, 0 );
	
	b = getglobal( thisButton.."_Curse_TextD")
	--b:SetPoint( "TOPLEFT", thisButton, x+18, y)
	b:SetTextColor( 1, 0, 0 );
	
	b = getglobal( thisButton.."_Curse_TextP")
	--b:SetPoint( "TOPLEFT", thisButton, x+27, y)
	b:SetTextColor( 1, 0, 0 );
end

function W_Set_PetButton_Curse_Position()
	--set the positioning for the Magic, Curse, Disease and Poison indicators for the Pet
	if ( W_Options.PetButtonLocation == W_kPetButtonRight ) then
		for buttonNum = 1,40 do
			local petButtonName = "W_Pet_Button"..buttonNum;
			local y = -8;
			local x = 0;
			b = getglobal( petButtonName.."_Curse_TextM")
			b:ClearAllPoints();
			b:SetPoint( "TOPLEFT", petButtonName, x, y)
			b:SetTextColor( 1, 0, 0 );
			
			b = getglobal( petButtonName.."_Curse_TextC")
			b:ClearAllPoints();
			b:SetPoint( "TOPLEFT", petButtonName, x+10, y)
			b:SetTextColor( 1, 0, 0 );
			
			b = getglobal( petButtonName.."_Curse_TextD")
			b:ClearAllPoints();
			b:SetPoint( "TOPLEFT", petButtonName, x, y)
			b:SetTextColor( 1, 0, 0 );
			
			b = getglobal( petButtonName.."_Curse_TextP")
			b:ClearAllPoints();
			b:SetPoint( "TOPLEFT", petButtonName, x+10, y)
			b:SetTextColor( 1, 0, 0 )
		end
	elseif ( W_Options.PetButtonLocation == W_kPetButtonBottom ) then
		for buttonNum = 1,40 do
			local petButtonName = "W_Pet_Button"..buttonNum;
			local y = 0;
			local x = -18;
			b = getglobal( petButtonName.."_Curse_TextM")
			b:ClearAllPoints();
			b:SetPoint( "TOPLEFT", petButtonName, x, y)
			b:SetTextColor( 1, 0, 0 );
			
			b = getglobal( petButtonName.."_Curse_TextC")
			b:ClearAllPoints();
			b:SetPoint( "TOPLEFT", petButtonName, x+10, y)
			b:SetTextColor( 1, 0, 0 );
			
			b = getglobal( petButtonName.."_Curse_TextD")
			b:ClearAllPoints();
			b:SetPoint( "TOPLEFT", petButtonName, x, y)
			b:SetTextColor( 1, 0, 0 );
			
			b = getglobal( petButtonName.."_Curse_TextP")
			b:ClearAllPoints();
			b:SetPoint( "TOPLEFT", petButtonName, x+10, y)
			b:SetTextColor( 1, 0, 0 )
		end
	end
end

function W_PetButton_MouseDown()

end

function W_PetButton_MouseUp()

end

function W_Clear_PetButton( petButtonName )
	local pb = getglobal(petButtonName);
	
	pb:SetAttribute("type", "stop");
	pb:SetAttribute("unit", nil);

	W_Set_Unit_Button_Curse_Texture( petButtonName, false);
	W_Set_Unit_Health_Bar_Value( petButtonName, W_kPetHealthBarWidth);
end